Subject: RE: Sending the original (Unicode) domain name as well as the ACE ?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Wed, 7 Aug 2002 10:17:01 -0400

> I'm curious about the rationale. Why not just accepting Unicode and
> translating it to ASCII when necessary? Is it because automatic
> transliteration of Unicode to ASCII is quite difficult so we prefer
> that the registrar does it?

In the contact context such translations are likely impossible to do
automatically.  The two forms are allowed because the contact might prefer
to have both internationalized and localized forms of the information
available for display purposes, and a translation between the two forms
might not be possible.

In the domain context the conversions are quite possible and relatively
easy, so they can be done wherever it makes the most sense for a given
provisioning environment.

-Scott-